import t from "react";
import { W as a, D as i } from "./widget-ctx-5e46828e.mjs";
const m = (...e) => "", l = (e) => {
  const { Link: n } = t.useContext(a);
  return n ? /* @__PURE__ */ t.createElement(n, { ...e }, e.children) : /* @__PURE__ */ t.createElement(i, { ...e }, e.children);
}, u = (e) => {
  const { NavLink: n } = t.useContext(a);
  return n ? /* @__PURE__ */ t.createElement(n, { ...e }, e.children) : /* @__PURE__ */ t.createElement(i, { ...e }, e.children);
};
export {
  l as L,
  u as N,
  m
};
